> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create flashcard

> Create or edit a flashcard set for a user. Flashcards contain front, back, review status, and last review date properties.



## OpenAPI

````yaml post /create-flashcard
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /create-flashcard:
    post:
      tags:
        - Card management
      summary: Create flashcard
      description: >-
        Create or edit a flashcard set for a user. Flashcards contain front,
        back, review status, and last review date properties.
      operationId: create-flashcard
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  jwtToken: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                  flashcardName: Expense Tracker
                  flashcardDescription: A set of flashcards for tracking expenses
                  folder: folder-name/folder-2
                  cards:
                    - front: Monday
                      back: Evening
                      reviewStatus: '0.0'
                      lastReview: 13-07-2024
                    - front: Tuesday
                      back: Morning
                      reviewStatus: '0.0'
                      lastReview: 14-07-2024
                    - front: Wednesday
                      back: Afternoon
                      reviewStatus: '0.0'
                      lastReview: 15-07-2024
              required:
                - jwtToken
                - flashcardName
                - flashcardDescription
                - folder
                - cards
              properties:
                jwtToken:
                  type: string
                  description: The unique ID of the user editing or creating flashcards.
                  example: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                flashcardName:
                  type: string
                  description: 'The name of the flashcard set. '
                  example: firstCard
                flashcardDescription:
                  type: string
                  description: The description of the flashcard set
                  example: my first flashcard
                folder:
                  type: string
                  description: >-
                    The name of the folder containing the flashcard sets. Set to
                    "" to set as a top level flashcard, otherwise set it to the
                    parent folder name. If there are multiple parent folders,
                    add the folder name seperated by numeric figures.
                  example: top-level-parent-name/parent-name-2/parent-name-3
                cards:
                  type: array
                  description: >-
                    A list of flashcards. Each flashcard object has `front`,
                    `back`, `review status`, and `last review` properties.
                  items:
                    type: object
                    properties:
                      front:
                        type: string
                        description: The front side content of the flashcard.
                        example: Monday
                      back:
                        type: string
                        description: ' The back side content of the flashcard.'
                        example: Evening
                      reviewStatus:
                        type: string
                        description: The review status of the flashcard
                        example: '0.0'
                      lastReview:
                        type: string
                        description: >-
                          The date when the flashcard was last reviewed, in
                          dd/mm/yyyy format.
                        example: 13/08/2024
        description: ''
      responses:
        '200':
          description: OK. Returned when the request is successfully executed.
          content:
            application/json:
              schema:
                type: array
                x-examples:
                  Example 1:
                    - success: true
                items:
                  type:
                    - object
                    - integer
                  properties:
                    '200':
                      type: integer
                      x-stoplight:
                        id: hvhaj9owg6b59
                      description: HTTP status code indicating a successful operation.
                    success:
                      type: boolean
                      description: Indicates that a new flashcard was created successfully.
        '400':
          description: >-
            A bad request error. Returned when the request body parameters are
            not in the expected JSON format.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': '',
                      'flashcardName': '', 'flashcardDescription': '', 'folder':
                      '', 'cards': [{'front': '', 'back': '', 'reviewStatus':
                      '', 'lastReview': ''}]}
                properties:
                  error:
                    type: string
                    example: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': '',
                      'flashcardName': '', 'flashcardDescription': '', 'folder':
                      '', 'cards': [{'front': '', 'back': '', 'reviewStatus':
                      '', 'lastReview': ''}]}

````